coffeescript (1.12.7~dfsg-2) unstable; urgency=medium

  * Fix install package.json.
    Closes: Bug#873912. Thanks to Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Sep 2017 10:57:20 +0200

coffeescript (1.12.7~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Limit to 1.x.x releases.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Consistently use anonscm host.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Relax to build-depend unversioned on cdbs: Required version
    satisfied even in oldstable.
  * Drop patches to avoid tests during build and to test exitcode: Fixed
    upstream.
  * Unfuzz patches.
  * Advertise DEP3 format in patch headers.
  * Update copyright info: Use https protocol in file format URL.
  * Update git-buildpackage config: Filter any .git* files.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Use section javascript (not web) for libjs-coffeescript.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 20:23:54 +0200

coffeescript (1.12.5~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Update paths to exclude when repackaging upstream source.
    + Extend coverage for main upstream author.
    + Drop sections for no longer included upstream files.
    + Extend copyright of packaging to cover recent years.
  * Add note to README.source on handling git zero-padded file modes.
  * Handle install in rules file: Upstream dropped install target.
    Drop patch to make upstream install rules more flexible.
  * Unfuzz patches.
  * Update watch file:
    + Bump watch file format version to 4.
    + Use Github pattern.
    + Add usage comment.
  * Modernize cdbs:
    + Improve copyright-check to extract metadata from images.
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Drop debhelper hint: Handled in CDBS now.
  * Update source paths to documentation and examples.
  * Add patch to continue use UglifyJS: closure-compiler-js is not in
    debian, and evidently has _zero_ size benefit (not "half the size"
    as claimed in 0.12.0 release notes).
  * Add patch to fix exitcode of test targets.
  * Declare compliance with Debian Policy 3.9.8.
  * Fix use section web for package libjs-coffeescript.
  * Add patch to use local shared libraries.
    Have coffeescript-doc symlink shared JavaScript libraries.
  * Update package relations:
    + Build-depend on jison.
    + Stop build-depend on devscripts.
    + Have coffeescript-doc recommend libjs-coffeescript libjs-jquery
      libjs-underscore.
    + Tighten to (build-)depend versioned on nodejs: Avoids testsuite
      failure "empty command evaluates to undefined"
      (see <https://github.com/jashkenas/coffeescript/issues/4502>).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 14:38:17 +0200

coffeescript (1.10.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + CoffeeScript now supports ES6-style destructuring defaults.
    + (offsetHeight: height) -> no longer compiles. That syntax was
      accidental and partly broken. Use ({offsetHeight: height}) ->
      instead. Object destructuring always requires braces.
    + Fix bug where the REPL would sometimes report valid code as
      invalid, based on what you had typed earlier.
    + Fix problem with multiple JS contexts in the jest test framework.
    + Fix error in io.js where strict mode is set on internal modules.
    + Fix variable name clash for the caught error in catch blocks.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix double comment field.
    + Drop superfluous GPL disclaimer.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Add lintian override regarding missing source.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Mar 2016 01:14:08 +0100

coffeescript (1.9.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Bugfix for interpolation in the first key of an object literal in
      an implicit call.
    + Fix broken error messages in the REPL, as well as a few minor bugs
      with the REPL.
    + Fix source mappings for tokens at the beginning of lines when
      compiling with the --bare option. This has the nice side effect of
      generating smaller source maps.
    + Slight formatting improvement of compiled block comments.
    + Better error messages for on, off, yes and no.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Relax to (build-)depend unversioned on nodejs: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 May 2015 20:04:18 +0200

coffeescript (1.9.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fixed a watch mode error introduced in 1.9.1 when compiling
      multiple files with the same filename.
    + Bugfix for yield around expressions containing this.
    + Added a Ruby-style -r option to the REPL, which allows requiring a
      module before execution with --eval or --interactive.
    + In <script type="text/coffeescript"> tags, to avoid possible
    + duplicate browser requests for .coffee files, you can now use the
      data-src attribute instead of src.
    + Minor bug fixes for IE8, strict ES5 regular expressions and
      Browserify.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Update copyright info: Extend coverage for myself.
  * Install README.md (not no longer shipped README).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 04:18:44 +0200

coffeescript (1.9.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).
    + CoffeeScript now supports ES6 generators.
    + More robust parsing and improved error messages for strings and
      regexes — especially with respect to interpolation.
    + Changed strategy for the generation of internal compiler variable
      names.
    + Interpolation now works in object literal keys (again).
    + Internal compiler names no longer start with underscores.
    + Minor bug fixes and various improvements to compiler error
      messages.
    + Supports Literate CoffeeScript.
    + The CoffeeScript REPL is now based on the Node.js REPL, and should
      work better and more familiarly.
    + Returning explicit values from constructors is now forbidden. If
      you want to return an arbitrary value, use a function, not a
      constructor.
    + You can now loop over an array backwards, without having to
      manually deal with the indexes.
    + Source locations are now preserved in the CoffeeScript AST,
      although source maps are not yet being emitted.
    + Can generate source maps. Pass the --map flag to the compiler, and
      off you go.
  Closes: Bug#750716.

  [ Jonas Smedegaard ]
  * Have git-import-orig suppress upstream .gitignore file.
  * Update package relations:
    + Tighten build-dependency on uglify-js.
      Drop patch for temporary workaround applied in 1.4.0-1.1.
    + Build-depend on node-underscore: Needed by build script.
      Thanks to Arto Jantunen <viiru@debian.org>.
    + Have coffeescript suggest coffeescript-doc.
      Closes: bug#726481. Thanks to Ben Finney.
  * Unfuzz patches.
  * Fix use pseudo-license and pseudo-comment sections in copyright file
    to obey silly restrictions of copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Add alternate git source URL.
  * Stop tracking md5sum of upstream tarball.
  * Update copyright info:
    + Extend coverage for myself to include recent years.
    + Bump licensing of packaging to GPL-3+.
    + Fix include License paragraph for GPL-2.
    + Fix use versioned references for GPL licenses.
    + Extend coverage for main upstream author to include recent years.
    + Cover documentation/docs/docco.css: BSD-3-clause licensed.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Fix use canonical URL in Vcs-Git.
  * Declare compliance with Debian Policy 3.9.6.
  * Repackage source, avoiding minified code and fonts, both potentially
    DFSG-nonfree.
  * Stop including extras/jsl.conf as example file: No longer shipped
    upstream.
    Thanks to Arto Jantunen <viiru@debian.org>.
  * Fix install upstream wrappers, including intermediary ones in
    library path (not Debian-specific wrappers without intermediaries):
    library code rely on existence of intermediary wrappers.
    Thanks to Arto Jantunen <viiru@debian.org>.
  * Fix access rights for library and source files.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Mar 2015 19:14:15 +0100

coffeescript (1.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS against uglify 2.x series" by applying patch from BTS.
    (Closes: #750716)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 13:05:05 +0100

coffeescript (1.4.0-1) unstable; urgency=low

  * New upstream source.

  [ Jonas Smedegaard ]
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Update copyright file:
    + Refer to upstream issue tracker as main contact URL.
    + Include email for main author.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Tighten build-dependency on cdbs: Needed for handling upstream
      cruft, done by CDBS from now on.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 15:11:10 +0100

coffeescript (1.3.3-3) unstable; urgency=low

  * Really fix build-depend on nodejs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 14:40:00 +0200

coffeescript (1.3.3-2) unstable; urgency=low

  * Fix explicitly build-depend on nodejs (used in cakefile to build
    coffeescript).
  * Add patch to call binary /usr/bin/nodejs (not node) during build,
    adjust rules file to do the same for installed wrappers, and tighten
    (build-)dependency on nodejs.
    See bug#614907.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 02:24:17 +0200

coffeescript (1.3.3-1) unstable; urgency=low

  * New upstream release.
    + Due to the new semantics of JavaScript's strict mode, CoffeeScript
      no longer guarantees that constructor functions have names in all
      runtimes.
    + Inside of a nested function inside of an instance method, it's now
      possible to call 'super' more reliably (walks recursively up).
    + Named loop variables no longer have different scoping heuristics
      than other local variables.
    + Fix for splats nested within the LHS of destructuring assignment.
    + Corrections to our compile time strict mode forbidding of octal
      literals.

  * Fix extend copyright years for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 May 2012 21:26:47 +0200

coffeescript (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fix tighten watch file regex.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Extend copyright years.
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Drop virtually empty License section GPL-2.
  * Relax to depend unversioned on nodejs: Required version satisfied in
    unstable, and no earlier release exist in other suites.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Apr 2012 12:38:38 -0400

coffeescript (1.2.0-2) unstable; urgency=low

  * Fix paths when invoking from command-line.
  * Fix install code for browsers below /usr/share (not /usr/lib).
  * Provide uncompressed (not only compressed) code for browsers.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 15:25:09 +0700

coffeescript (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Fix add trailing newline to watch file.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update package relations:
    + Provide node-coffeescript (not libnode-coffeescript).
    + Build-depend on node-uglify (not versioned on libnode-uglify).
    + Relax to build-depend unversioned on devscripts and debhelper:
      Needed versions are available even in unstable.
    + Relax slightly versioning of build-dependency on cdbs.
  * Unfuzz patches.
  * Update copyright file:
    + Update Files section for (unused!) convenience copy of jquery).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 12:45:34 +0700

coffeescript (1.1.2-2) unstable; urgency=low

  * Install jsl.conf as example file (not below /etc).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 18:51:44 +0200

coffeescript (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add patch to avoid regression tests as part of normal build.
  * Unfuzz patches.
  * Do regression tests for both main and browser code, and respect
    DEB_BUILD_OPTIONS nocheck keyword.
  * Drop installing extras/EXTRAS: no longer shipped upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 17:38:06 +0200

coffeescript (1.1.1-3) unstable; urgency=low

  * Rebuild to let ftpmasters know that this is not same code as was
    earlier rejected.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 13:24:52 +0200

coffeescript (1.1.1-2) unstable; urgency=low

  * Provide command-line utility "cake" as "cake.coffeescript" to
    peacefully coexist with cakephp.
    Closes: bug#633429. Thanks to Ralf Treinen.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jul 2011 11:47:21 +0200

coffeescript (1.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Geza Kovacs ]
  * Remove patch because nodejs now uses upstream names.
    Closes: bug#611701, #623704. Thanks to Lionel Landwerlin.
  * Minimum nodejs dependency version bumped to 0.2.6

  [ Jonas Smedegaard ]
  * Packaging moved to Debian Javascript Maintainers, with myself and
    Geza as uploaders.
  * Switch packaging to CDBS (from short-form dh).
    + Track build-dependencies.
    + implement get-orig-source target.
    + track copyright/licensing changes.
    + Declare package relations in rules file.
    + Drop install hints now superfluous (detected automagically).
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg-source local-options.
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Tighten access rights fixup.
  * Add copyright and licensing header for debian subdir to rules file.
  * Add Last-Update hint to patch DEP3 header.
  * Update copyright file:
    + Change licensing of debian subdir to GPL-2+ (from MIT).
    + Reformat to draft 174 of DEP-5.
    + Drop obsolete Files sections.
    + Rename main License section to Expat (from ambigous MIT).
    + Consistently wrap multiline sections at 72 chars.
    + Use download list page (not homepage) as Source URL.
    + Add Files section for convenience copy of jquery (no new license).
    + Bump (yes, not extend) main copyright timeframe.
  * Update control file. Add copyright hints.
  * Fix add path segment to Homepage URL.
  * Rewrite long descriptions based on upstream intro.
  * Fix revert (accidental?) patch to upstream files.
  * Compile code from itself using upstream build routines (not just
    redistribute upstream prebuild code).
    + As a bonus, fix include /usr/bin/cake in coffeescript package.
  * Generate coffee.1 manpage at package build time.
  * Add binary package libjs-coffeescript.
    Closes: bug#611703.
  * Have coffeescript provide libnode-coffeescript.
  * Bump policy compliance to standards-version 3.9.2.
  * Install examples.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jul 2011 05:39:03 +0200

coffeescript (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Minimum nodejs dependency version bumped to 0.2.5

 -- Geza Kovacs <gkovacs@mit.edu>  Wed, 29 Dec 2010 04:01:12 -0500

coffeescript (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Geza Kovacs <gkovacs@mit.edu>  Sat, 25 Sep 2010 11:55:43 -0400

coffeescript (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Geza Kovacs <gkovacs@mit.edu>  Sun, 01 Aug 2010 14:42:04 -0700

coffeescript (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Updated nodejs dependency to 0.1.99

 -- Geza Kovacs <gkovacs@mit.edu>  Wed, 30 Jun 2010 19:19:57 -0700

coffeescript (0.6.2-1) unstable; urgency=low

  * New upstream release
    - Syntax for block comments
    - DRY-style pattern matching supported
    - Pattern matching allowed within comprehension variables
    - unless statement allowed in block form
    - until loops added
    - switch statements allowed without switch object clauses
  * Added Vcs-Git and Vcs-Browser fields
  * Updated nodejs dependency to 0.1.95
  * Don't install cake to /usr/bin (Closes: #581913)

 -- Geza Kovacs <gkovacs@mit.edu>  Sun, 16 May 2010 12:31:23 -0400

coffeescript (0.6.1-1) unstable; urgency=low

  * New upstream release.
    - Compatible with the Node.js 0.1.90 series.
  * Updated nodejs dependency to 0.1.90

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 14 May 2010 13:24:05 -0400

coffeescript (0.5.6-3) unstable; urgency=low

  * Add copyright section for vendor/jison (Closes: #575437)
  * Add copyright section for extras/coffee.vim

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 16 Apr 2010 22:45:23 -0400

coffeescript (0.5.6-2) unstable; urgency=low

  * Make js library files non-executable
  * Add note that patches are not meant to be forwarded upstream
  * Remove unused install section from rules

 -- Geza Kovacs <gkovacs@mit.edu>  Sat, 03 Apr 2010 10:03:57 -0400

coffeescript (0.5.6-1) unstable; urgency=low

  * Initial release (Closes: #575437)
  * Change coffeescript section to devel
  * Change coffeescript-doc section to doc
  * Install docs to /usr/share/doc
  * Add patch to fix nodejs path
  * Add patch to install libraries into /usr/lib/coffeescript
  * Add descriptions to patches
  * Register coffeescript-doc with doc-base
  * Change name entry for coffee manpage to be more descriptive

 -- Geza Kovacs <gkovacs@mit.edu>  Fri, 02 Apr 2010 19:39:31 -0400
